---
version: "3"

tasks:

  reset-password:
    desc: Reset Rancher admin password
    cmds:
      - kubectl exec -n cattle-system deploy/rancher -- reset-password

  reset-password2:
    desc: Task to reset admin password of Rancher UI.
    cmds:
      - kubectl -n cattle-system exec $(kubectl -n cattle-system get pods -l app=rancher | grep '1/1' | head -1 | awk '{ print $1 }') -- reset-password

  show-password:
    desc: Task to show dashboard password of Rancher UI.
    cmds:
      - kubectl get secret --namespace cattle-system bootstrap-secret -o go-template='{{.data.bootstrapPassword|base64decode}}{{"\n"}}'
